- Qt 6.4
- Qt 3D
- C++ Classes
- Qt3DRender
- QRenderCaptureReply
- Qt 6.4.2 Reference Documentation

# QRenderCaptureReply Class

class Qt3DRender::QRenderCaptureReply

Receives the result of render capture request. More...

Header: | #include <Qt3DRender/QRenderCaptureReply>
CMake: | find_package(Qt6 REQUIRED COMPONENTS 3drender) target_link_libraries(mytarget PRIVATE Qt6::3drender)
qmake: | QT += 3drender
Since: | Qt 5.8
Instantiated By: | RenderCaptureReply

- List of all members, including inherited members

## Properties

- captureId : const int
- complete : const bool
- image : const QImage

## Public Functions

int | captureId() const
QImage | image() const
bool | isComplete() const
bool | saveImage(const QString &fileName) const

## Signals

void | completed()

## Detailed Description

An object, which receives the image from QRenderCapture::requestCapture.

## Property Documentation

### `[read-only]` captureId : const int

Holds the captureId, which was passed to the renderCapture.

Access functions:

int | captureId() const

### `[read-only]` complete : const bool

Holds the complete state of the render capture.

Access functions:

bool | isComplete() const

Notifier signal:

void | completed()

### `[read-only]` image : const QImage

Holds the image, which was produced as a result of render capture.

Access functions:

QImage | image() const

## Member Function Documentation

### `[invokable, since 5.9]` bool QRenderCaptureReply::saveImage(const QString &fileName) const

Saves the render capture result as an image to fileName.

Returns true if the image was successfully saved; otherwise returns false.

Note: This function can be invoked via the meta-object system and from QML. See Q_INVOKABLE.

This function was introduced in Qt 5.9.